Feature #25

User Favorite Menu
08/19/2022 05:21 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 08/20/2022
Priority: Normal Due date: 08/23/2022
Assignee: Vivekp V % Done: 90%
Category: Estimated time: 24:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Currency

Description

Coding User Favorite Menu

History

#1 - 08/19/2022 05:29 PM - Anil KV
- File deleted (sql.sql)

#2 - 08/19/2022 05:30 PM - Anil KV
- File sql.sql added

#3 - 08/23/2022 10:17 AM - Muhasin PU
- Status changed from New to Coding Started

- % Done changed from 0 to 40

#4 - 08/25/2022 04:47 PM - Anil KV

CREATE TABLE authentication.tbl_user_favorite_menu (

pk_user_favorite_menu_id BIGSERIAL PRIMARY KEY,

fk_user_id BIGINT NOT NULL REFERENCES authentication.tbl_user (pk_user_id),

sin_product_id SMALLINT DEFAULT 0, —--*MenuService->1stAllProducts
vhr_sys_module_name VARCHAR (250) NULL, --Menu Name

vhr_menu_or_group_sys_name VARCHAR(100) NOT NULL,
vhr_menu_or_group_actual_name VARCHAR(100) NOT NULL,

vhr_menu_or_group_label VARCHAR(100) NOT NULL,

vhr_url VARCHAR(100) NULL,

vhr_shortcut_key VARCHAR(30) NULL,
--bin_parent_favorite_menu_id BIGINT NULL,
vhr_parent_favorite_menu VARCHAR(100) NULL,

sin_menu_type SMALLINT DEFAULT 0; —-*2
sin_if custom_parent_menu SMALLINT DEFAULT O;
sin_order SMALLINT DEFAULT 1
#5 - 08/29/2022 09:42 AM - Muhasin PU

- Status changed from Coding Started to Particialy Coding Done

- % Done changed from 40 to 30

#6 - 08/29/2022 04:17 PM - Muhasin PU
Check Box Problem Exist..

#7 - 09/28/2022 04:20 PM - Muhasin PU
- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 30 to 50

#8 - 11/30/2022 11:38 AM - Muhasin PU
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Completed.

#9 - 11/30/2022 11:39 AM - Muhasin PU
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#10 - 12/05/2022 10:22 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.ADD SCROLLING ON RIGHT SIDE DIV

#11 - 12/06/2022 12:18 PM - Muhasin PU
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Scrolling Done.

#12 - 12/07/2022 11:02 AM - Muhasin PU
- Status changed from Particialy Coding Done to Reopen Bugs Coding Done
- % Done changed from 40 to 60

#13 - 02/03/2023 04:46 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

IISSUE FOUND ****
1.FIX BUGS ON CHECKBOX

#14 - 02/06/2023 01:47 PM - Muhasin PU
ISSUE SOLVED.

#15 - 02/06/2023 01:48 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE SOLVED.

#16 - 10/12/2023 05:08 PM - Junaid M
- Assignee changed from Muhasin PU to Vivekp V

1. Add Expand In Toolbar Box (Right Tree view)
2. Add Menu Tree view In Own user settings -> Menu
#17 - 03/16/2024 12:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.SHOW UNTICKED MODULES CHECK BOX AS BLANK IN Ul

case occurs when selecting all in a group and then manually untick all some of the child items and then save.

this makes the group selection to true. while reloading the module the function checks if all the value of selection is true and makes the selection box
ticked.

in this case as group's selection value is true it will make all the child values to appear ticked. Expected behavior is only show saved selected items

#18 - 11/20/2024 06:55 PM - Arathy PS
NEW CHANGES

1. Two combo select box with options,

Own Favorite Menu (default)

Own Quick Access Menu

2. quick access menu

--- add separation with a line

--- No need groups, just modules

--- The lines shouldn't be editable

3. After setting only that should be shown in the quick access menu.

#19 - 11/26/2024 09:46 AM - Vivekp V
- Status changed from Reopen Bugs to New Changes Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.SHOW UNTICKED MODULES CHECK BOX AS BLANK IN Ul

case occurs when selecting all in a group and then manually untick all some of the child items and then save.

this makes the group selection to true. while reloading the module the function checks if all the value of selection is true and makes the selection box
ticked.

in this case as group's selection value is true it will make all the child values to appear ticked. Expected behavior is only show saved selected items

Quote Edit #18
Updated by Arathy PS 6 days ago
NEW CHANGES DONE

1. Two combo select box with options,

Own Favorite Menu (default)

Own Quick Access Menu

2. quick access menu

--- add separation with a line

--- No need groups, just modules

--- The lines shouldn't be editable

3. After setting only that should be shown in the quick access menu.

#20 - 12/03/2024 04:19 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. A text box entry field appears when clicking add icon.
2. Add a row button in the grid is not working.

#21 - 12/04/2024 09:34 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 12/12/2024 02:26 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE fixed

1. Can't add dividing line. (+ symbol)
2. Ul gets stuck when clicking the + symbol.

#23 - 12/16/2024 10:45 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 12/17/2024 12:42 PM - Arathy PS
- File clipboard-202412171242-qzx9n.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. Ul gets stuck when clicking the + symbol with menu type as favorite menu.

Iravvise Set Favorite Menu

2. In quick access menu deleted data is not disappearing from the grid.
#25 - 12/18/2024 05:20 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#26 - 12/28/2024 10:16 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90
Files
1-CsModel.cs 1.69 KB 08/19/2022 Anil KV
2-tsModel.ts 1.15KB 08/19/2022 Anil KV
3-CsFile.cs 12 KB 08/19/2022 Anil KV
4-CsControllerFile.cs 24.8 KB 08/19/2022 Anil KV
5-TsFile.ts 14.2 KB 08/19/2022 Anil KV
6-HtmlFile.html 1.92 KB 08/19/2022 Anil KV
sql.sql 5.44 KB 08/19/2022 Anil KV
clipboard-202412171242-gzx9n.png 66 KB 12/17/2024 Arathy PS
